"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenAIModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const openai_client_1 = require("./openai.client");
const openai_module_definition_1 = require("./openai.module-definition");
let OpenAIModule = class OpenAIModule extends openai_module_definition_1.ConfigurableModuleClass {
};
OpenAIModule = tslib_1.__decorate([
    (0, common_1.Global)(),
    (0, common_1.Module)({
        providers: [openai_client_1.OpenAIClient],
        exports: [openai_client_1.OpenAIClient],
    })
], OpenAIModule);
exports.OpenAIModule = OpenAIModule;
