"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenAIClient = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const openai_1 = require("openai");
const openai_module_definition_1 = require("./openai.module-definition");
let OpenAIClient = class OpenAIClient extends openai_1.OpenAIApi {
    constructor(openaiOptions) {
        super(new openai_1.Configuration({
            apiKey: openaiOptions.apiKey,
        }));
        this.openaiOptions = openaiOptions;
    }
};
OpenAIClient = tslib_1.__decorate([
    (0, common_1.Injectable)(),
    tslib_1.__param(0, (0, common_1.Inject)(openai_module_definition_1.MODULE_OPTIONS_TOKEN)),
    tslib_1.__metadata("design:paramtypes", [Object])
], OpenAIClient);
exports.OpenAIClient = OpenAIClient;
